Subject: No GC new development

From: "Tityik Wong" <[email-masked]>
Date: Fri, 13 May 94 17:50:49 CDT

Hello, everyone,

I posted the following message about two weeks ago,

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Hello all wonderful netters. I have a serious question that needs
answer. I am a CSPA principal and was approved on Sep 30, 1993 by the
Western center. However I have not received my green card yet. I
called the factory in Texas, a recog message said that they have
received copy 2 of form I-181, but need copy 3 of form I-81 and a form
I-89 in order to produce my green card. Has anyone ever encountered
the same kind of situation? Or does any one know what is going on or
what to do? All answers are highly appreciated.
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Later I wrote a letter to the Western Center asking them about the
situation. Today I got a shocking reply, they tell me that my
application is still pending. ?????! I feel angry and funny. What are
they doing? They gave me the approval notice and now are telling me
that was a just joke? Anyway, I will write to them again. And of
course, if anyone knows what else to do, please help. Thank you guys.